---
title: dur
slug: Web/SVG/Attribute/dur
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>dur</code></strong> attribute indicates the simple duration of an animation.</p>

<p>Five elements are using this attribute: {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateMotion")}}, {{SVGElement("animateTransform")}}, and {{SVGElement("set")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[4,8]">&lt;svg viewBox="0 0 220 150" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;rect x="0" y="0" width="100" height="100"&gt;
    &lt;animate attributeType="XML" attributeName="y" from="0" to="50"
        dur="1s" repeatCount="indefinite"/&gt;
  &lt;/rect&gt;
  &lt;rect x="120" y="0" width="100" height="100"&gt;
    &lt;animate attributeType="XML" attributeName="y" from="0" to="50"
        dur="3s" repeatCount="indefinite"/&gt;
  &lt;/rect&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "220", "150")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#Clock-value">&lt;clock-value&gt;</a></code> | <code>media</code> | <code>indefinite</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>indefinite</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;clock-value&gt;</code></dt>
 <dd>This value specifies the length of the simple duration. The value must be greater than 0 and can be expressed with hours (<code>h</code>), minutes (<code>m</code>), seconds (<code>s</code>) or milliseconds (<code>ms</code>). Itʼs possible to combine those time representations to create some complex durations like <code>hh:mm:ss.iii</code> or <code>mm:ss.iii</code>.</dd>
 <dt><code>media</code></dt>
 <dd>This value specifies the simple duration as the intrinsic media duration. This is only valid for elements that define media.<br>
 (For <a href="/en-US/docs/Web/SVG/Element#Animation_elements">animation elements</a> the attribute will be ignored if <code>media</code> is specified.)</dd>
 <dt><code>indefinite</code></dt>
 <dd>
 <p>This value specifies the simple duration as indefinite.</p>
 </dd>
</dl>

<div class="notecard note">
<p><strong>Note:</strong> the interpolation will not work if the simple duration is indefinite (although this may still be useful for {{SVGElement("set")}} elements).</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#DurAttribute", "dur")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "animate.html#DurAttribute", "dur")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.animate.dur")}}</p>
